#!/usr/bin/env bash
cd ${0%/*}
function error() {
    osascript <<EOT
        tell app "System Events"
            display dialog "$1" buttons {"OK"} default button 1 with icon caution with title "$(basename $0)"
            return  -- Suppress result
        end tell
EOT
}
if [ -f "/usr/bin/java" ]
then
	/usr/bin/java -cp .:Updater.jar:installer-thirdParty.jar:versioninfo.json de.ovsoftware.elia.updater.UpdateChecker MV $1
	/usr/bin/java -cp .:Elia.jar:BImSchG-Resources.jar:third-party.jar:BImSchG-Musterantraege.jar de.nurago.bimschg.Application MV $1
elif [ -f "/Library/Internet Plug-Ins/JavaAppletPlugin.plugin/Contents/Home/bin/java" ]
then
	/Library/Internet\ Plug-Ins/JavaAppletPlugin.plugin/Contents/Home/bin/java -cp .:Updater.jar:installer-thirdParty.jar:versioninfo.json de.ovsoftware.elia.updater.UpdateChecker MV $1
	/Library/Internet\ Plug-Ins/JavaAppletPlugin.plugin/Contents/Home/bin/java -cp .:Elia.jar:BImSchG-Resources.jar:third-party.jar:BImSchG-Musterantraege.jar de.nurago.bimschg.Application MV $1
else
	error "Keine mit ELiA kompatible Java-Installation gefunden. Bitte installieren Sie mindestens Java 1.7.0_71 oder höher!"
fi