// based on: http://www.pinlady.net/PluginDetect/

var subURL = "";

// Bestimmung der Main-URL
var mainURL = document.location.protocol;
mainURL += "//";
mainURL += document.domain;
var port= '';
port= document.location.port
if( port!= null && port!= '' )
{
	mainURL += ':' + port;
}
var URL = mainURL + subURL + "/bimschg.jnlp";


// GLOBAL JAVA VARIABLES
var JavaInstalled;                // Tells if java is installed or not
var JavaVersion;                  // Highest installed version
var minVersion = '1,4,2';         // minimum version of Java we are trying to detect
var JavaAllVersions;              // Array of all Java versions installed
var message = '';                 // output message printed to the screen - displays java detection results

// Alter Inhalt des "result"-Links
var oldContent;

// ID des Interval-Timers
var launchTID;

function displayResults(){
  var JavaStatus;
  JavaStatus  = PluginDetect.isMinVersion('Java');
  JavaInstalled = JavaStatus >= 0 ? true : false;
  JavaVersion = PluginDetect.getVersion('Java');
  var JavaMin = PluginDetect.isMinVersion('Java', minVersion) >=0 ? true : false;

  if (JavaInstalled) {
  	if (webstartInstalled()) {
		document.getElementById("result").innerHTML = oldContent;
 		window.location = URL;
 	} else {
		var message =     "<A TARGET=\"_blank\" ONCLICK=\"return waitInstall();\" HREF=\"http://jdl.sun.com/webapps/getjava/BrowserRedirect?locale=de&host=java.com:80\">Es wird Java 1.4.2 oder h&ouml;her ben&ouml;tigt. Klicken Sie hier, um Java herunterladen</A>";
		document.getElementById("result").innerHTML = message;	
 	}
  } else {
  	var message;
	if (PluginDetect.ActiveXEnabled) {
		message =     oldContent + "<OBJECT CODEBASE=\"http://java.sun.com/update/1.6.0/jinstall-6u11-windows-i586.cab\" CLASSID=\"clsid:5852F5ED-8BF4-11D4-A245-0080C6F74284\" HEIGHT=0 WIDTH=0>";
		message +=    "<PARAM NAME=\"app\" VALUE=\"" + URL + "\">";
		message +=    "<PARAM NAME=\"back\" VALUE=\"false\">";
		message +=    "</OBJECT>";
 	 } else {
  	 	message =     "<A TARGET=\"_blank\" ONCLICK=\"return waitInstall();\" HREF=\"http://jdl.sun.com/webapps/getjava/BrowserRedirect?locale=de&host=java.com:80\">Java ist nicht installiert. Klicken Sie hier, um Java herunterladen</A>";
 	 }
 	 document.getElementById("result").innerHTML = message;
  }

}

function waitInstall() {
	document.getElementById("result").innerHTML = "<font face=\"arial,helvetica,sans-serif\" size=\"1\" color=\"#E0003C\" class=\"weiter\">Warten auf Java-Installation... <img src=\"http://bimschg.ovsoftware.com/BImSchG/wait.gif\" width=\"12\" height=\"12\"/></font>";
	launchTID = setInterval('launch()', 500); 
	return true;
}

function launch() {
  try {
    navigator.plugins.refresh(true);
    if (navigator.mimeTypes['application/x-java-jnlp-file']) {
      clearInterval(launchTID);
      document.getElementById("result").innerHTML = oldContent;
      window.location = URL;
    }
  } catch (e) { alert(e); }
}

function run() {
   oldContent = document.getElementById("result").innerHTML;
   document.getElementById("result").innerHTML = "<font face=\"arial,helvetica,sans-serif\" size=\"1\" color=\"#E0003C\" class=\"weiter\">Java-Erkennung l&auml;uft... <img src=\"http://bimschg.ovsoftware.com/BImSchG/wait.gif\" width=\"12\" height=\"12\"/></font>";
   PluginDetect.onJavaDetectionDone(displayResults, 'javainfo.jar');
}

function webstartInstalled() {
	if (PluginDetect.ActiveXEnabled) {	
		try {
			new ActiveXObject("JavaWebStart.isInstalled");
			return true;
		} catch (e) {
			return false;
		}
	} else {
		return navigator.mimeTypes['application/x-java-jnlp-file'];
	}
}






