<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:ns2="http://www.nurago.de/bimschg" version="1.0">
	<xsl:output method="xml" encoding="UTF-8" />
	<xsl:template match="/ns2:antrag[@programmVersion='2.2']">
		<xsl:copy>
			<xsl:copy-of select="@*" />
			<xsl:copy-of select="namespace::*" />
			<xsl:attribute name="antragVersion">
	            <xsl:text>1</xsl:text>
	       </xsl:attribute>
			<xsl:attribute name="programmVersion"><xsl:text>2.3</xsl:text></xsl:attribute>
			<xsl:apply-templates select="./*" />
		</xsl:copy>
	</xsl:template>
	<xsl:template match="/ns2:antrag[@programmVersion='2.2']/version" />
	<xsl:template match="/ns2:antrag[@programmVersion='2.2']/formular/@version" />
	<xsl:template match="/ns2:antrag[@programmVersion='2.2']/formular[@id='Formular1-1']/blatt/gruppe[@id='Gruppe44']"/>
	<xsl:template
		match="/ns2:antrag[@programmVersion='2.2']/formular/@id[contains(.,'BB' )]">
		<xsl:attribute name="id"><xsl:value-of
			select="substring-before(.,'BB')" /></xsl:attribute>
	</xsl:template>
	<xsl:template match="node()|@*">
		<xsl:copy>
			<xsl:apply-templates select="node()|@*" />
		</xsl:copy>
	</xsl:template>
</xsl:stylesheet>