<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:ns2="http://www.nurago.de/bimschg" version="1.0">
	<xsl:output method="xml" encoding="UTF-8" />
	<xsl:template match="/ns2:antrag[@programmVersion='2.5' and (boolean(@buildVersion &lt; '4')) ]">
		<xsl:copy>
			<xsl:copy-of select="@*" />
			<xsl:copy-of select="namespace::*" />
			<xsl:attribute name="buildVersion"><xsl:text>4</xsl:text></xsl:attribute>
			<xsl:apply-templates select="./*" />
		</xsl:copy>
	</xsl:template>
	<xsl:template
		match="/ns2:antrag[@programmVersion='2.5' and (boolean(@buildVersion &lt; '4'))]/formular[@id='Formular1-1']">
		<xsl:message terminate="no">
			<xsl:text>In Formular 1.1 werden die Anlagen-Nummern unter Punkt 2.3 nun mit einem führenden A und drei folgenden Ziffern (Bspw. A001) eingetragen. Bitte passen Sie eventuell bestehende Eingaben an die neue Struktur an.</xsl:text>
		</xsl:message>
		<xsl:copy>
			<xsl:apply-templates select="node()|@*" />
		</xsl:copy>
	</xsl:template>
</xsl:stylesheet>