<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:ns2="http://www.nurago.de/bimschg" version="1.0">
	<xsl:output method="xml" encoding="UTF-8" />
	<xsl:template match="/ns2:antrag[@programmVersion='2.4' and (boolean(@buildVersion &lt; '47'))]">
		<xsl:copy>
			<xsl:copy-of select="@*" />
			<xsl:copy-of select="namespace::*" />
			<xsl:attribute name="buildVersion"><xsl:text>47</xsl:text></xsl:attribute>
			<xsl:apply-templates select="./*" />
		</xsl:copy>
	</xsl:template>
	<xsl:template match="node()|@*">
		<xsl:copy>
			<xsl:apply-templates select="node()|@*" />
		</xsl:copy>
	</xsl:template>
	<xsl:template
		match="/ns2:antrag[@programmVersion='2.4' and (boolean(@buildVersion &lt; '47'))]/formular[@id='Formular12-3-2']">
		<xsl:message terminate="no">
			<xsl:text>Formular 12.3b wurde überarbeitet. Bitte prüfen Sie Ihre Angaben und ergänzen Sie diese unter Umständen.</xsl:text>
		</xsl:message>
		<xsl:copy>
			<xsl:apply-templates select="node()|@*" />
		</xsl:copy>
	</xsl:template>
	<xsl:template
		match="/ns2:antrag[@programmVersion='2.4' and (boolean(@buildVersion &lt; '47'))]/formular[@id='Formular12-3-2']/blatt[1]/feld[(starts-with(@id,'ist') or starts-with(@id,'ziel')) and (contains(@id,'zupacht') or contains(@id,'verpacht') or contains (@id, 'bewirtsch'))]">
	</xsl:template>
	<xsl:template
		match="/ns2:antrag[@programmVersion='2.4' and (boolean(@buildVersion &lt; '47'))]/formular[@id='Formular12-3-2']/blatt[1]/feld[(starts-with(@id,'ist') or starts-with(@id,'ziel')) and (contains(@id,'habis18') or contains(@id,'haueber18') or contains (@id, 'haverwandtschaftspacht'))]">
	</xsl:template>
	<xsl:template
		match="/ns2:antrag[@programmVersion='2.4' and (boolean(@buildVersion &lt; '47'))]/formular[@id='Formular12-3-2']/blatt[1]/feld[(starts-with(@id,'ist') or starts-with(@id,'ziel')) and (contains(@id,'kaefighaltung') or contains(@id,'legehennenfreilaufend') or contains (@id, 'arbeitspferde')
		or contains (@id, 'zuchtpferde')or contains (@id, 'futterflaeche'))]">
	</xsl:template>
</xsl:stylesheet>